petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSRKSetMultirate

Use the interpolation-based multirate RK method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRKSetMultirate(TS ts,PetscBool use_multirate)

Logically collective

### Input Parameter

| ts | - timestepping context
| use_multirate | - PETSC_TRUE enables the multirate RK method, sets the basic method to be RK2A and sets the ratio between slow stepsize and fast stepsize to be 2

### Options Database

-ts_rk_multirate -<true,false>

### Notes

The multirate method requires interpolation. The default interpolation works for 1st- and 2nd- order RK, but not for high-order RKs except TSRK5DP which comes with the interpolation coeffcients (binterp).

### See Also

TSRKGetMultirate()

### Level

intermediate

### Location

src/ts/impls/explicit/rk/rk.c

### Implementations

TSRKSetMultirate_RK in src/ts/impls/explicit/rk/mrk.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages